Delete Referral

Deletes a referral relationship for a specific user, decrementing the usage counter of the referral code.
This allows the referrer to remove a user who used their referral code, making the code available for use again.

The signature is required to verify ownership of the referrer identifier (the owner of the referral code).

Required API Key Scope: referral_codes:read (requires signature) or service_role (no signature required)

Message to sign: The message must be exactly "I am deleting referral for user {user_identifier} from code {code}" where {user_identifier} is the identifier of the user being removed and {code} is the referral code.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The referral code from which to delete the referral

Query Params
string
required

The identifier of the user whose referral is being deleted

string
enum
required

The type of identifier for the user

Allowed:
string
required

The identifier of the referrer (owner of the referral code)

string
enum
required

The type of identifier for the referrer

Allowed:
Body Params
string

The signature of the message signed by the referrer's wallet. Required when API key does not have service_role scope.

string

The message that was signed. Must be exactly "I am deleting referral for user {user_identifier} from code {code}" where {user_identifier} matches the user_identifier query parameter and {code} matches the code path parameter.

number

Optional chain ID for EVM signature verification

Responses
204

No Content - Referral successfully deleted

400

Bad Request - Invalid identifier or signature is required (when API key doesn't have service_role scope)

401

Unauthorized - Missing or invalid API key, or insufficient scope

422

Unprocessable Entity - Invalid signature, invalid signature message, code not found, user has not used this referral code, referral code does not belong to referrer, or user referrer relationship not found

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!